## spymemcached 2.12.3+dfsg

=== debian/changelog ===
spymemcached (2.12.3+dfsg-3) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Apply multi-arch hints. + libspymemcached-java: Add Multi-Arch: foreign.

  [ Jochen Sprickerhof ]
  * Add patch to fix FTBFS (Closes: #1012108)
  * Add missing build dependency on log4j 1.2

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 26 Feb 2023 17:08:21 +0100

spymemcached (2.12.3+dfsg-2) unstable; urgency=medium

  * Switching to debhelper-compat to denote debhelper compatibility level.

 -- Andrius Merkys <merkys@debian.org>  Mon, 11 Nov 2019 07:37:32 -0500

spymemcached (2.12.3+dfsg-1) unstable; urgency=medium

  [ Christopher Hoskin ]
  * Initial release (Closes: #845789)

 -- Andrius Merkys <merkys@debian.org>  Tue, 08 Oct 2019 06:51:45 -0400
