=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg$//,repack,repacksuffix=+dfsg" \
 https://github.com/couchbase/spymemcached/tags .*/(?:.*?)([\d\.]+)\.tar\.gz
